<div class="row">
  <div class="col-lg-6 col-md-12 mb-md-3 mb-sm-3 mb-3">
    <mat-card>
      <mat-card-header>
        <mat-card-title>Top-3 rental destination</mat-card-title>
        <mat-card-subtitle>
          This table shows the top-3 destinations of rentals from this station by number of drives.
          The Station can be sent to the map with the checkbox.
        </mat-card-subtitle>
      </mat-card-header>
      <mat-card-content>
        <table [dataSource]="stationToSource" class="mat-elevation-z0 w-100" mat-table>
          <ng-container matColumnDef="select">
            <th *matHeaderCellDef mat-header-cell></th>
            <td *matCellDef="let row" class="p-3" mat-cell>
              <mat-checkbox (change)="$event ? selectRow($event, row) : null"
                            (click)="$event.stopPropagation()"
                            [checked]="selectionModel.isSelected(row)"
                            [disabled]="isCheckBoxDisable(row)"
                            matTooltip="toggle to view marker on map"
                            matTooltipPosition="above">
              </mat-checkbox>
            </td>
          </ng-container>
          <ng-container matColumnDef="endStationName">
            <th *matHeaderCellDef mat-header-cell>Destination</th>
            <td *matCellDef="let element" mat-cell>
              <a [routerLink]="['/dashboard/', element.stationId]">{{element.stationName}}</a>
            </td>
          </ng-container>

          <ng-container matColumnDef="number">
            <th *matHeaderCellDef mat-header-cell>Count</th>
            <td *matCellDef="let element" mat-cell> {{element.number}} </td>
          </ng-container>

          <ng-container matColumnDef="avgDuration">
            <th *matHeaderCellDef mat-header-cell>Average duration</th>
            <td *matCellDef="let element" mat-cell> {{humanizeAvgDuration(element.avgDuration)}} </td>
          </ng-container>

          <ng-container matColumnDef="marker">
            <th *matHeaderCellDef mat-header-cell>Icon</th>
            <td *matCellDef="let element" mat-cell><img [src]="drawIconInTable(element)" alt="marker"></td>
          </ng-container>

          <tr *matHeaderRowDef="displayedColumnsTo" mat-header-row></tr>
          <tr *matRowDef="let row; columns: displayedColumnsTo;" mat-row></tr>
        </table>
        <div *ngIf="isLoadingToSource" class="col d-flex align-items-center justify-content-center">
          <mat-progress-spinner color="primary" mode="indeterminate"></mat-progress-spinner>
        </div>
      </mat-card-content>
    </mat-card>
  </div>
  <div class="col-lg-6 col-md-12">
    <mat-card>
      <mat-card-header>
        <mat-card-title>Top-3 rental origin</mat-card-title>
        <mat-card-subtitle>
          This table shows the top-3 origins of rentals to this station by number of drives.
          The Station can be sent to the map with the checkbox.
        </mat-card-subtitle>
      </mat-card-header>
      <mat-card-content>
        <table [dataSource]="stationFromSource" class="mat-elevation-z0 w-100" mat-table>
          <ng-container matColumnDef="select">
            <th *matHeaderCellDef mat-header-cell></th>
            <td *matCellDef="let row" class="p-3" mat-cell>
              <mat-checkbox (change)="$event ? selectRow($event, row) : null"
                            (click)="$event.stopPropagation()"
                            [checked]="selectionModel.isSelected(row)"
                            [disabled]="isCheckBoxDisable(row)"
                            matTooltip="toggle to view marker on map"
                            matTooltipPosition="above">
              </mat-checkbox>
            </td>
          </ng-container>
          <ng-container matColumnDef="startStationName">
            <th *matHeaderCellDef mat-header-cell>Origin</th>
            <td *matCellDef="let element" mat-cell>
              <a [routerLink]="['/dashboard/', element.stationId]"> {{element.stationName}}</a>
            </td>
          </ng-container>

          <ng-container matColumnDef="number">
            <th *matHeaderCellDef mat-header-cell>Count</th>
            <td *matCellDef="let element" mat-cell> {{element.number}} </td>
          </ng-container>

          <ng-container matColumnDef="avgDuration">
            <th *matHeaderCellDef mat-header-cell>Average duration</th>
            <td *matCellDef="let element" mat-cell> {{humanizeAvgDuration(element.avgDuration)}} </td>
          </ng-container>

          <ng-container matColumnDef="marker">
            <th *matHeaderCellDef mat-header-cell>Icon</th>
            <td *matCellDef="let element" mat-cell><img [src]="drawIconInTable(element)" alt="marker"></td>
          </ng-container>

          <tr *matHeaderRowDef="displayedColumnsFrom" mat-header-row></tr>
          <tr *matRowDef="let row; columns: displayedColumnsFrom;" mat-row></tr>
        </table>
        <div *ngIf="isLoadingFromSource" class="col d-flex align-items-center justify-content-center">
          <mat-progress-spinner color="primary" mode="indeterminate"></mat-progress-spinner>
        </div>
      </mat-card-content>
    </mat-card>
  </div>
</div>
